For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
      • GETReturns all custom field definitions.
      • POSTCreates a new custom field definition.
      • PUTUpdates the custom field definition with the specified id.
      • DELDeletes the custom field definition with the specified Id.
      • POSTCreates a custom field selection option for an existing custom field definition.
      • PUTUpdates a custom field selection option for an existing custom field definition.
      • DELDeletes a custom field selection option for an existing custom field definition.
      • GETReturns all custom field definitions linked to the specified project, including definitions linked via a workflow.
      • PUTUpdates the order of a custom field definition linked to the specified project.
      • POSTLinks a custom field definition to the specified project.
      • POSTSets custom field values for a project.
      • POSTUnlinks a custom field definition from the specified project.
      • GETReturns all custom field definitions linked to the specified project template, including definitions linked via a workflow.
      • PUTUpdates the order of a custom field definition for the specified project template.
      • POSTLinks a custom field definition to the specified project template.
      • POSTSets the custom fields for a project template.
      • POSTUnlinks a custom field definition from the specified project template.
      • POSTSets the custom fields for a task.
      • POSTSets the custom fields for the specified task template.
      • GETReturns all custom field definitions linked to a workflow.
      • PUTUpdates the order of a custom field definition linked to a workflow.
      • POSTLinks a custom field definition to a workflow.
      • POSTUnlinks a custom field definition from a workflow.
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceCustom Fields

Updates the custom field definition with the specified id.

PUT
https://api.awork.com/api/v1/customfielddefinitions/:customFieldDefinitionId
PUT
/api/v1/customfielddefinitions/:customFieldDefinitionId
$curl -X PUT https://api.awork.com/api/v1/customfielddefinitions/customFieldDefinitionId \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "Ticket-Number",
> "type": "text"
>}'
1{
2 "id": "123e4567-e89b-12d3-a456-426614174000",
3 "name": "Ticket-Number",
4 "entity": "task",
5 "type": "text",
6 "createdOn": "2022-03-10T16:25:09.100Z",
7 "createdBy": "123e4567-e89b-12d3-a456-426614174000",
8 "updatedOn": "2022-03-10T18:55:00.500Z",
9 "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
10 "order": 1,
11 "isExternal": true
12}
<Check title="Required Permissions" icon="key">The user must be an admin or have `project-manage-config:write` permissions.</Check>
Was this page helpful?
Previous

Deletes the custom field definition with the specified Id.

Next
Built with
Required Permissions
The user must be an admin or have project-manage-config:write permissions.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

customFieldDefinitionIdstringRequiredformat: "uuid"
The id of the custom field definition to update.

Request

The model to change the custom field definition.
namestringRequired1-255 characters
The name of the custom field definition.
typeenumRequired

The type of the custom field definition. When updating a custom field definition, only the following changes are allowed: ‘date’ ↔ ‘datetime’, ‘select’ ↔ ‘coloredSelect’.

orderdouble or nullOptional

The global (workspace-level) order of the custom field definition. Only project custom field definitions have a global order.

Response

OK
idstringformat: "uuid"
The id of the custom field definition.
namestring or null
The name of the custom field definition.
entityenum
The entity the custom field definition can be linked to.
Allowed values:
typeenum
The type of the custom field definition.
createdOnstringformat: "date-time"
The date this entity was created.
createdBystringformat: "uuid"
The id of the user who created this entity.
updatedOnstringformat: "date-time"
The date this entity was last modified.
updatedBystringformat: "uuid"
The id of the user who last modified this entity.
orderdouble or null
If it's a project custom field, it's the global order of the custom field definition. Otherwise, it's the order of the custom field definition within a project template or a project.
isExternalboolean

True if this entity is coming from an external workspace (awork Connect).

Errors

400
Bad Request Error
404
Not Found Error